<%@ Page Language="vb" EnableSessionState="True" enableViewState="True" %>
<%@ Import namespace="System.IO" %>

<html>
<head>
<title>Uploading a File</title> 
<script language="VB" runat="server">
Dim savePath As String
Dim mode As String
Dim foldername As String

Sub Page_Load(source As Object, e As EventArgs)
	if(not CountOccurrences(request.ServerVariables("HTTP_REFERER"),0,"\.asp") = 1)then
		response.redirect ("../utilities/login.asp?message=An error occured in the upload module" & "(" & CountOccurrences(request.ServerVariables("HTTP_REFERER"),0,"\.asp") & ")")
	end if
	if(  instr(request.ServerVariables("SERVER_NAME") & "filemanager/default.asp",request.ServerVariables("HTTP_REFERER"))  )then
		response.redirect ("../utilities/login.asp?message=You do not have permission to use file manager")
	end if
	
	savePath = server.mappath(request("foldername")&"\")
	mode = request("mode")
	foldername = request("foldername")
	
End Sub

Public Function CountOccurrences(ByVal source As String, ByVal search As String, _
    Optional ByVal ignoreCase As Boolean = False) As Integer
    Dim options As System.Text.RegularExpressions.RegexOptions
    If ignoreCase Then
        options = System.Text.RegularExpressions.RegexOptions.IgnoreCase
    Else
        options = System.Text.RegularExpressions.RegexOptions.None
    End If

    Dim mc As System.Text.RegularExpressions.MatchCollection = _
        System.Text.RegularExpressions.Regex.Matches(source, search, options)
    Return mc.Count
End Function

Public Function CountOccurrences(ByVal source As String, _
    ByVal startIndex As Integer, ByVal search As String, _
    Optional ByVal ignoreCase As Boolean = False) As Integer
    Return CountOccurrences(source.Substring(startIndex), search, ignoreCase)
End Function


Sub Upload_Click(source As Object, e As EventArgs)
  If Not (uploadedFile.PostedFile Is Nothing) Then
    
    'Try
      Dim postedFile = uploadedFile.PostedFile
      Dim filename As String = Path.GetFileName(postedFile.FileName)
      Dim contentType As String = postedFile.ContentType
      Dim contentLength As Integer = postedFile.ContentLength

      postedFile.SaveAs(savePath & filename)
      message.Text = postedFile.Filename & " uploaded" & _
        "<br>content type: " & contentType & _
        "<br>content length: " & contentLength.ToString()
    'Catch exc As Exception
     ' message.Text = "Failed uploading file<BR>" & exc.Message
    'End Try
  End If
  
End Sub 
</script>
 
</head>
<body>

 
 
 
<form enctype="multipart/form-data" runat="server">
  Select File to Upload: 
  <input id="uploadedFile" type="file" runat="server">
  <input id="mode" type="hidden" value="<%=mode%>">
  <input id="foldername" type="hidden" value="<%=foldername%>">
  <input id="mode" type="hidden" value="<%=mode%>">
  <input id="siteid" type="hidden" value="<%=request("siteid")%>">
  <p>
  <asp:Label id="message" runat="server"/>
  <p>
  <input type=button id="upload" value="Upload" OnServerClick="Upload_Click" runat="server"><br>
    
    <input type="button" value="<< Back To File Manager" onclick="window.open('default.asp?mode=<%=mode%>&action=viewfolder&path=<%=foldername%>','_self');">
  <p>
</form>
 
</body>
</html>