<%
'#################################################################################
'## Copyright (C) 2004 Rick Eastes
'##
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License.
'##
'## The "powered by" text/logo with a link back to
'## http://www.nukedit.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'## Donations made to nukedit may waiver this requirement.
'## Speak to rick eastes via the nukedit contact form
'##
'## All copyright notices regarding nukedit
'## must remain intact in the scripts and in the outputted HTML
'##
'## Support can be obtained from support forums at:
'## http://www.nukedit.com/forum
'##
'#################################################################################

on error resume next
objFSO = ""
on error goto 0

Function MakeFSO()
	if(not isObject(objFSO))then		
		Set objFSO = Server.CreateObject("Scripting.FileSystemObject")
	end if
End Function

Function DeleteAll(strPath,strExtension)
	on error resume next
	MakeFSO
	Dim aryFiles
	set aryFiles = FileListing(strPath)
	l = len(strExtension)
	for each iFile in aryFiles
		if(right(iFile,l) = strExtension)then
			
			objFSO.DeleteFile (iFile)
		end if
'		response.write right(strPath,l) & " " & iFile & "<br>"
	next
'	response.end
	if(err)then
		response.Write "Could not delete all cached files"
		err.clear
	end if
	on error goto 0
	DeleteAll = true
	
end function


Function DeleteIfExists (FilePath)
	Dim blnDeleted
	blnDeleted = false
	MakeFSO
    if objFSO.FileExists (Filepath) then
        objFSO.DeleteFile (Filepath)
        blnDeleted = true
    End if
    DeleteIfExists = blnDeleted
End Function

'#################################################################################
'## Expanded by Ren de Jong / Rick Eastes
'#################################################################################
Function DeleteIfEmpty(DirPath)
	dim blnDeleted
	blnDeleted = false
	MakeFSO
	
	if((objFSO.GetFolder(DirPath).SubFolders.Count = 0) and (objFSO.GetFolder(DirPath).Files.Count = 0))then
		objFSO.GetFolder(DirPath).delete
		blnDeleted = true
	end if
	DeleteIfEmpty = blnDeleted
End Function
'#################################################################################

Function FileExists(FilePath)
	MakeFSO
    if objFSO.FileExists (Filepath) then
        FileExists = true
    else
        FileExists = false
    End if
End Function

 ' FillSelectFromDir
 ' e.g usage. 
 ' strImages = "../graphics/product"
 ' <select name="selPicture">
 '   <%=FillSelectFromDir(Server.MapPath(strImages), "", "none", "")% >
 ' </select>

Function DirListing(DirPath)
	MakeFSO
	'Returns an array of directory names in the DirPath
	set DirListing = (objFSO.getFolder(DirPath)).SubFolders
End Function

Function FileListing(DirPath)
	MakeFSO
	'Returns an array of file names in the DirPath
	' Dim FSO
	set FileListing = (objFSO.getFolder(DirPath)).files
End Function

Function GetFilename (strFile)
'#################################################################################
'## Bug fixed by Ren de Jong
'#################################################################################
'##	GetFilename = Mid(strFile, InstrRev(strFile, "\")+1)
	if(InstrRev(strFile, "\") >= InstrRev(strFile, "/"))then
		GetFilename = Mid(strFile, InstrRev(strFile, "\")+1)
	else
		GetFilename = Mid(strFile, InstrRev(strFile, "/")+1)
	end if
'#################################################################################
End Function

'#################################################################################
'## Expaned by Ren de Jong
'#################################################################################
Function GetParentFolder (strFile)
	if(InstrRev(strFile, "\") >= InstrRev(strFile, "/"))then
		GetParentFolder = Mid(strFile, 1, InstrRev(strFile, "\")-1)
	else
		GetParentFolder = Mid(strFile, 1, InstrRev(strFile, "/")-1)
	end if
End Function
'#################################################################################

Function AbsPath(RelativePath)
	'Converts a relative path to an absolute path
	AbsPath = Server.MapPath(RelativePath)
End Function


'#################################################################################
'## Expaned by Ren de Jong
'#################################################################################
Function RelPath(Current, Target)
	dim Parent, Back
	dim strL, strS
	dim strResult


	if(len(Current) >= len(Target))then
		strL = Current
		strS = Target
	else
		strL = Target
		strS = Current
	end if

	Parent = len(strS)
	do until(Mid(strL, 1, Parent) = Mid(strS, 1, Parent)) or (Parent = 0)
		Parent = InstrRev(strS, "/", Parent - 1)
	loop

	if(Parent = 0)then
		strResult = Target
	else
		back = Parent
		do until (Back = 0)
			Back = Instr(Back + 1, Current, "/")
			if(Back>0)then strResult = strResult & "../"
		loop
		strResult = strResult & Mid(Target, Parent + 1)
	end if
	RelPath = strResult
End Function
'#################################################################################

function GetFileHandle(txtfile)
	'returns a file object
	'response.Write txtfile
	'response.end
	
	MakeFSO

	dim objFile

	set objFile = objFSO.GetFile(txtfile)
	set GetFileHandle = objFile
end function

function CreateFile(strFileName,data)
	MakeFSO
	dim objFile
	'## Expaned by Ren de Jong
    dim strFolder

	'err.Clear
	on error goto 0
	'## Expaned by Ren de Jong
	strFolder = objFSO.GetParentFolderName(server.MapPath(strFileName))
    if(not objFSO.FolderExists(strFolder))then
		objFSO.CreateFolder(strFolder)
    end if

	set objFile = objFSO.CreateTextFile(server.MapPath(strFileName),true,false)
	result = objFile.Write(data) 'write new contents to the file
	objFile.Close 'save and close file
	if(err)then
		response.Write "An error occured when trying to create " & strFileName & ".<br><br>The likely reason is that write and delete permissions are not set on the 'content' folder and its subfolders.<Br><br>"
		response.Write "IIS Said: " & err.Description & ": " & err.Source & err.number
		err.Clear
		'response.end
	end if
	on error goto 0
	CreateFile = result
end function

function SetExtension(strFileName,extension)
'Check existing file extension (if one exists) and give it specified file extension.
	
	strCurrExtension = right(strFileName,len(extension))
	if(strCurrExtension = extension)then
		SetExtension = strFileName
	else
		SetExtension = strFileName & "." & extension
	end if
end function

function GetFileContents(txtfile)
	MakeFSO
	dim objFile, strContents

	
	set objFile = GetFileHandle(server.MapPath(txtfile))
	
	Dim TextStream
	Set TextStream = objFile.OpenAsTextStream(1, -2)

	' Read the file line by line
	Do While Not TextStream.AtEndOfStream
		strContents = strContents & TextStream.readline & vbCRLF
	Loop
	'FSO.Close
	GetFileContents = strContents
end function
%>


