<%
'#################################################################################
'## Copyright (C) 2004 Rick Eastes
'##
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License.
'##
'## The "powered by" text/logo with a link back to
'## http://www.nukedit.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'## Donations made to nukedit may waiver this requirement.
'## Speak to rick eastes via the nukedit contact form
'##
'## All copyright notices regarding nukedit
'## must remain intact in the scripts and in the outputted HTML
'##
'## Support can be obtained from support forums at:
'## http://www.nukedit.com/forum
'## Bug fixed by Ren de Jong
'##
'## When loging out an error: "email.value is null or not an object" was displayed
'##
'#################################################################################
Function LogMessage(message)
	Application.Value("log") = message & Application("log")
end function

function HTTPRequest(strServer,strPost)
	dim objXMLHTTP
	Set objXMLHTTP = Server.CreateObject("Microsoft.XMLHTTP")
	objXMLHTTP.Open "POST", strServer, false
	objXMLHTTP.setRequestHeader "Content-Type", "application/x-www-form-urlencoded"
	objXMLHTTP.Send strPost
	
	HTTPRequest =  objXMLHTTP.responseText
	Set objXMLHTTP = Nothing
end function

function HTTPRequestGet(strServer)
	dim objXMLHTTP
	Set objXMLHTTP = Server.CreateObject("Microsoft.XMLHTTP")
	objXMLHTTP.Open "GET", strServer, false
	objXMLHTTP.setRequestHeader "Content-Type", "application/x-www-form-urlencoded"
	objXMLHTTP.Send ""
	
	HTTPRequestGet =  objXMLHTTP.responseText
	Set objXMLHTTP = Nothing
end function

'you must include config.asp in page that calls these functions
' encode string
function encode(str)
	str = "" & str
	str=replace(str,",","$c") 
	encode=replace(str,"'","''")
end function

function URLEncode(str)
	
	on error resume next
	str = server.URLEncode(str)
	on error goto 0
	if err.number<>0 then
		'response.write err.number & err.Description
		err.Clear
		URLEncode = ""
	else
		URLEncode = str
	end if
	
end function


' decode string
function decode(str)
	str = "" & str
	str=replace(str,"$c",",")
	'str=replace(str,"""","&quot;")
	decode=replace(str,"''","'")
end function

function decode2(str)
	str = "" & str
	str=replace(str,"$c",",")
	str=replace(str,"""","&quot;")
	decode2=replace(str,"''","'")
end function

function FormatDate(dt)
	if(len(dt)>0)then
		FormatDate = Day(dt) & "/" &  Month(dt) & "/" & Year(dt)
	else 
		FormatDate = ""
	end if
end function

Function alert( strMessage )
'WRITES A POPUP MESSAGE. GREAT FOR DEBUGGING
	response.write "<script language=javascript>alert('" & strMessage & "');</script>"
End Function


Function Highlight(strText, strFind, strBefore, strAfter)
	Dim nPos
	Dim nLen
	Dim nLenAll
	
	nLen = Len(strFind)
	nLenAll = nLen + Len(strBefore) + Len(strAfter) + 1

	Highlight = strText

	If nLen > 0 And Len(Highlight) > 0 Then
		nPos = InStr(1, Highlight, strFind, 1)
		Do While nPos > 0
			Highlight = Left(Highlight, nPos - 1) & _
				strBefore & Mid(Highlight, nPos, nLen) & strAfter & _
				Mid(Highlight, nPos + nLen)

			nPos = InStr(nPos + nLenAll, Highlight, strFind, 1)
		Loop
	End If
End Function

'#################################################################################
'## Expanded by Ren de Jong
'#################################################################################
Function iif(condition, iftrue, iffalse)
  if condition then
    iif = iftrue
  else
    iif = iffalse
  end if
End Function
'#################################################################################

Function RandomString(aryStrings)
	aryValues = split(aryStrings,",")
	
	Randomize 
	RandomString = aryValues(RandomNumber(UBound(aryValues)+1)-1)
end function

Function RandomNumber(intHighestNumber)
	Randomize
	RandomNumber = Int(Rnd * intHighestNumber) + 1
End Function

function now2()
	if(not setup_TimeZoneDifference)then
	setup_TimeZoneDifference = 0
	end if
	if(setup_TimeZoneDifference=0)then
		now2 = now()
	else
		now2 = now() + (setup_TimeZoneDifference/24)
	end if
end function
%>