<!--#include file="inc_misc.asp" -->
<%
'#################################################################################
'## Copyright (C) 2004 Rick Eastes
'##
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License.
'##
'## The "powered by" text/logo with a link back to
'## http://www.nukedit.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'## Donations made to nukedit may waiver this requirement.
'## Speak to rick eastes via the nukedit contact form
'##
'## All copyright notices regarding nukedit
'## must remain intact in the scripts and in the outputted HTML
'##
'## Support can be obtained from support forums at:
'## http://www.nukedit.com/forum
'##
'#################################################################################

'you must include config.asp in page that calls these functions

Function SetDatabase(connString)
	'SETS CONNECTION STRING FOR DATABASE
	'connString string to connecto to database with
	dbConnection = connString
End Function

Function UpdateTable(tblName,fieldNames, fieldValues, sqlWhere)
'tblName name of table to update
'fieldNames comma delimited list of fields to be updated eg( name,address,isalive )
'fieldValues comma delimited list of new values eg( 'richard','a house',true ) USE CORRECT PARRENTHESIS: 'string',123,true
'sqlWhere simple sql statement to tell which entry to update. eg (WHERE userid = '12')

	aryFields = split(fieldNames,",")
	aryValues = split(fieldValues,",")
		
	sql = "UPDATE " & tblName & " SET "
	dim x
	x = 0
	for each field in aryFields
		sql = sql + field & " = " & aryValues(x) & ","
		x = x+1
	next

	sql = Left(sql,Len(sql)-1)				
	if isnull(sqlWhere) then
		sql = sql + ";"
	else	
		sql = sql + " WHERE " & sqlWhere & ";"
	end if	

	'response.write sql 'DEBUG
	'response.End

	' Allan Kim Eriksen - 18. Jan 2005
	' zorder is not working correctly when assigned with the select control. You will eventually
	' give the same number to an already existing menuitem. This additional code ajust all
	' items for the same parent id to fix this error.
	If tblName = "tblMenu" and iError = 0 Then
		iParent = -1
		x = 0
		for each field in aryFields
			If field = "parent" Then
				iParent = aryValues(x)
			End If
			x = x+1
		next
		x = 0
		If iParent <> -1 Then
			set rsOrderFix = db.execute("SELECT menuid, zorder FROM tblMenu WHERE parent = " & iParent & " ORDER BY zorder;")
			if(NOT rsOrderFix.EOF AND rsOrderFix.BOF)then
				
				rsOrderFix.MoveFirst
				Do Until rsOrderFix.EOF
					iOldzOrder = rsOrderFix.Fields("zorder")
					If iOldzOrder <> x Then
						iCurRecord = rsOrderFix.Fields("menuid")
						db.execute "UPDATE tblMenu SET zorder = " & x & " WHERE menuid = " & iCurRecord  & ";"
					End If
					x = x + 10
					rsOrderFix.MoveNext
				Loop
				rsOrderFix.close
				Set rsOrderFix = Nothing
			end if
		End If
	End If	
	'''''''''''''''''Thanks Allan Eriksen
	on error resume next
	db.execute sql
	if(err)then
		response.Write "An error occured when updating the database.<br>The likely reason is that write permissions are not set on the 'database' folder.<br>Please remember that write and delete permissions are also required on the 'content' folder and its subfolders.<Br><br>"
		response.Write "SQL Query: " & sql & "<br><br>"
		response.Write "IIS Said: " & err.Description
	end if
	on error goto 0
end Function

Function GetData(tblName,fieldName, sqlWhere)
'RETURNS RESULT FROM QUERY
'tblName name of table to get records from
'fieldNames comma delimited list of fields to get
'sqlWhere simple sql statement to tell which entry/entries to get. eg (WHERE userid = 12)

	sql = "SELECT " & fieldName & " FROM " & tblName

	if isnull(sqlWhere) then
		sql = sql + ";"
	else	
		sql = sql + " WHERE " & sqlWhere & ";"
	end if	

	'response.write sql 'DEBUG
	set rsResults = db.execute(sql)
	if rsResults.BOF then
		GetData = "Unknown"
	else
		GetData = rsResults(fieldName)		
	end if

	rsResults.close
	set rsResults = nothing
	
end Function

Function GetCount(tblName, sqlWhere)

	sql = "SELECT COUNT(*) AS total FROM " & tblName

	if isnull(sqlWhere) then
		sql = sql + ";"
	else	
		sql = sql + " WHERE " & sqlWhere & ";"
	end if	

	'response.write sql 'DEBUG
	set rsResults = db.execute(sql)
	if rsResults.BOF then
		GetCount = 0
	else
		GetCount = rsResults("total")
	end if

	rsResults.close
	set rsResults = nothing
	
end Function


Function InsertIntoTable(tblName,fieldNames, fieldValues)
'tblName name of table to update
'fieldNames comma delimited list of fields to be inserted eg( name,address,isalive )
'fieldValues comma delimited list of new values eg( 'richard','a house',true ) USE CORRECT PARRENTHESIS: 'string',123,true
			
	sql = "INSERT INTO " & tblName & "(" & fieldNames & ") VALUES (" & fieldValues & ")"

	'response.write sql 'DEBUG
	db.execute sql
end Function

Function DeleteFromTable(tblName, sqlWhere)
'DELETES FROM TABLE

	sql = "DELETE FROM " & tblName

	if isnull(sqlWhere) then
		sql = sql + ";"
	else	
		sql = sql + " WHERE " & sqlWhere & ";"
	end if	

	'response.write sql 'DEBUG
	db.execute(sql)
	
end Function


%>
