<%
'#################################################################################
'## Copyright (C) 2004 Rick Eastes
'##
'## This program is free software; you can redistribute it and/or
'## modify it under the terms of the GNU General Public License.
'##
'## The "powered by" text/logo with a link back to
'## http://www.nukedit.com in the footer of the pages MUST
'## remain visible when the pages are viewed on the internet or intranet.
'## Donations made to nukedit may waiver this requirement.
'## Speak to rick eastes via the nukedit contact form
'##
'## All copyright notices regarding nukedit
'## must remain intact in the scripts and in the outputted HTML
'##
'## Support can be obtained from support forums at:
'## http://www.nukedit.com/forum
'##
'#################################################################################

Function IsIn(intID, strGroups)
'returns true if intID is in comma delimited list strGroups
	dim aryGroups
	bResult = false
	aryGroups = split(strGroups,"#")
	for each groupID in aryGroups
		if CStr(intID) = CStr(groupID) then
			bResult = true
		end if
	next
	IsIn = bResult
end Function

Function IsAllowed(strPermissions)
	if(Session("userid")="")then
		ReloadCookies
	else
		CheckLoggedIn
	end if
	
	IsAllowed = IsUserAllowed (Session("userid"), Session("groupid"), strPermissions)
end Function


Function IsUserAllowed(intUser, intGroup, strPermissions)

intUser = Cint(intUser)
intGroup = Cint(intGroup)
'23-JAN-2002 Richard Eastes. rick@eastes.net
'http://www.eastes.net

'In the site code, powerusers have full access all the time.

'return 0 = no access at all
'return 1 = allow read access
'return 2 = allow write/edit access
'return 3 = allow administrator privledges
'EXAMPLE PERMISSION STRING = "DENY$R$3GR#4GW#63UW" 
'->>>> means that EVERYONE IS DENIED ALL ACCESS EXCEPT -->>>> group 3 can read, group 4 can write (and read of course) and user 63 can write also.

'EXAMPLE PERMISSION STRING = "ALLOW$W$14UW" 
'->>>> means that EVERYONE IS ALLOWED FULL ACCESS EXCEPT -->>>> user 14 has been denied write access

'EXAMPLE PERMISSION STRING = "" 
'->>>> means that EVERYONE IS ALLOWED READ ACCESS (Default security setting. Same as ALLOW$R$
if (intGroup=setup_PowerId)then
	result = 3


elseif (strPermissions = "") OR isNull(strPermissions) then
'check if default permission (most of the time I hope)

	result = 1 'default. Means read only 

else
	'THERE ARE NO DEFAULT PERMISSIONS

	dim aryAccess
	result = 0

	aryAccess = split(strPermissions,"$") 'split default from blocks

	'EXAMINE FIRST 2 BLOCKS FOR DEFAULT PERMISSION (ALLOW OR DENY)
	defaultAction = aryAccess(0)
	if(defaultAction = "ALLOW") then 'default access is to allow all
		if(aryAccess(1) = "P") then
			result = 3
		elseif(aryAccess(1) = "W") then
			result = 2
		else
			result = 1
		end if
	else
		result = 0
	end if
	
	if(not aryAccess(2) = "" AND not isnull(aryAccess(2)))then
	'if no extra permissions were applied
			aryBlocks = split(right(aryAccess(2),len(aryAccess(2))-1),"#") 'get #45UR# blocks into an array

			'We have set the default permissions. Now check to see if any exceptions change the result.
			'example block: 45UW
			for each block in aryBlocks
				taw = right(block,3) 'type-access. either(U)ser or (G)roup followed by (R)ead or (W)rite or (P)ower followed by (D)eny or (A)llow
				id = "0"
				id = CInt(Left(block,len(block)-3)) 'got user or group id	
				t = Left(taw,1) ' (U)ser or (G)roup
				a = right(left(taw,2),1) ' (R)ead or (W)right or (P)ower
				w = right(taw,1) 'DENY OR ALLOW
				'response.Write "U:" & id & ", T:" & t & "<br>"
				if((CInt(intUser) = id AND CStr(t) = "U") OR (CInt(intGroup) = id AND t = "G"))then 
					'HEY!! This is our user or group. CHECK THEM!!
					if(w = "D") then 
						'we deny the following.
						if(a = "R")then
							result = 0 'Allow NO access
						elseif(a = "W")then
							result = 1 'Allow read access
						else
							result = 2 'Allow read and write access but not admin
						end if
					else 'w = ALLOW. So give 'em access :-)
						response.Write "<" & a & ">"

						if(a = "R")then
							result = 1 'Allow read access
						elseif(a = "W")then
							result = 2 'Allow read and write access
						else
							result = 3 'Allow administrator privleges
						end if
					end if				
				end if
			next
	end if
end if
IsUserAllowed = result
end Function


Function CheckLoggedIn
	if(Session("userid")="")then 'Not logged in or session has expired
		ReloadCookies
	end if
End Function

Sub SetGuest
	Session("username") = "Guest"
	Session("userid") = 1
	Session("password") = ""
	Session("groupid") = setup_GuestId
			
	Response.Cookies(setup_SiteCode & "groupid") = setup_GuestId
	Response.Cookies(setup_SiteCode & "userid") = 1
	Response.Cookies(setup_SiteCode & "password") = ""

end Sub

Function CheckRegisteredUser
	CheckRegisteredUser = not(Session("groupid") = setup_GuestId OR Session("userid") = "")
End Function

function SetBrowserType
		Dim Browser
		Browser = Request.ServerVariables("HTTP_USER_AGENT")

		version = 0
		If InStr(Browser, "MSIE") Then
			dim temp
			temp = split(Browser,"MSIE")
			version = split(temp(1),";")(0)
			if (not CInt(version) >= 5.5) then	
				Session("browser") = 1
			else
				Session("browser") = 2
			end if	
		elseIf InStr(Browser, "Gecko") Then
			Session("browser") = 1
		else
			Session("browser") = 0
		end if

end function

function ReloadCookies
	SetBrowserType
	if(not Request.Cookies(setup_SiteCode & "password")="")then
		'Check to see if password cookies are set
		on error resume next
		set rsCheck = db.execute("select * from tblUsers where userid = " & Request.Cookies(setup_SiteCode & "userid"))
		
		if(err)then
				LogMessage("<font color=red>ERROR:</font> The setup_SiteCode " & setup_SiteCode & " in the setup file must be changed for this site.<br><br>")
				response.Redirect (site & "utilities/log.asp")
		end if
		on error goto 0

		if(not rsCheck.EOF) then
			if (rsCheck("password")=request.Cookies(setup_SiteCode & "password")) then	'Validate password
				'Load from cookies
				'response.Write "RELOADED FROM COOKIES"
				Session("userid") = rsCheck("userid")
				Session("groupid") = rsCheck("groupid")
				Session("username") = rsCheck("email")
			else
				CheckLoggedIn
			end if
		else
			CheckLoggedIn	
		end if
		rsCheck.close
		set rsCheck=nothing

	else
		SetGuest
	end if
end function

%>