<%
'#######################################################
'#### Kpoll version .9 beta R2
'#### copyright 2005-2006 Kizzelwhix.net, Eric Johnson
'####
'#### This code is distrubuted freely under the GPL
'#### This program is free software; you can redistribute it and/or
'#### modify it under the terms of the GNU General Public License
'#### as published by the Free Software Foundation; either version 2
'#### of the License, or (at your option) any later version.	
'####
'#### For support information please visit:
'####   http://kizzelwhix.net/board
'####   http://kizzelwhix.net/contact.asp
'########################################################

Dim doInstall '### boolean whether or not to do the installation
Dim kPollDbType, strDbPath, strServer, strUser, strPass, strDBName
Dim kpollPath
Dim pollAdminUser, pollAdminPass

Dim errMsg : errMsg = ""
%>
<!--#include file="kpoll_config.asp" -->
<%

Dim pConnString, pConn, kpoll
Select Case kPollDbType
  Case "Access"
    pConnString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & strDbPath
    doInstall = True
  Case "SQLServer"
    pConnString = "driver={SQL Server};server=" & strServer & ";uid=" & strUser & ";pwd=" & strPass & ";database=" & strDBName
    doInstall = True
  Case else
    doInstall = False
    errMsg = errMsg & "<li>You database connection settings arent set. Open up kpoll_config.asp to fix this problem</li>"
End Select

'#### Error checking to see whether or not to continue
if Trim(errMsg) <> "" then
  response.write("<ul>" & errMsg & "</ul>")
  response.end
end if

'#### Database Connection
'########################################################

Set pConn = Server.CreateObject("Adodb.Connection")
pConn.open pConnString

'#### Error checking to see whether this has been installed
'#### yet using SQL Server
'#### Access comes pre-set up
if Application(kpoll & "setup") <> "true" or _
   request.querystring("action") = "setup" then
  if kPollDbType = "SQLServer" then
    response.write("<center>Checking Setup...</center>")
   chkSetup
  end if
   resetConfigData
   Application.Lock
   Application(kpoll & "config_loaded") = "no"
   Application(kpoll & "setup") = "true"
   Application.Unlock
   response.write("<center>Application variables and config data has been reset</center>")
end if

'#### Configuration and Application settings
'###########################################
if (Application(kpoll & "config_loaded") <> "yes") then
  loadConfig
end if

Dim strPollBG, strOptionBG, strAltOptionBg, strBorderClr
Dim strFont, strFontSize, strFontColor
Dim strMaxBarWidth, strBarHeight, strBarImg, strBarColor

strPollBG = Application(kpoll & "strPollBG")
strOptionBG = Application(kpoll & "strOptionBG")
strAltOptionBg = Application(kpoll & "strAltOptionBg")
strBorderClr = Application(kpoll & "strBorderClr")

strFont = Application(kpoll & "strFont")
strFontSize = Application(kpoll & "strFontSize")
strFontColor = Application(kpoll & "strFontColor")

strMaxBarWidth = Application(kpoll & "strMaxBarWidth")
strBarHeight = Application(kpoll & "strBarHeight")
strBarColor  = Application(kpoll & "strBarColor")

Select Case strBarColor
  Case "default"
    strBarImg = "bar.gif"
  Case else
    strBarImg = "bar_" & strBarColor & ".gif"
End Select
'####### Subroutines & Functions
'###############################

Sub closePoll()
  pConn.close
  set pConn = nothing
End Sub
'#### Function to get percentage for display/image size
'##########################################
Function getPercentage(fPollId, fOptionVotes)
fPollId = Cint(fPollId)
fOptionVotes = cint(fOptionVotes)
totalVotes = 0

  strsql = "SELECT OPTION_VOTES FROM KPOLL_OPTIONS WHERE POLL_ID=" & fPollId
  set getPrs = pConn.execute(strsql)
    do while not(getPrs.eof)
      totalVotes = totalVotes + Cint(getPrs("OPTION_VOTES"))
    getPrs.movenext
    loop
  set getPrs = nothing
  
  fPercentage = FormatNumber((fOptionVotes/totalVotes) * 100, 2)
  getPercentage = fPercentage
End Function
'### Function to calculate the bar width
Function GetPollbarWidth(fPollPercent)
  tmpVarUno = FormatNumber(fPollPercent, 2)
  fPollBarWidth = FormatNumber((tmpVarUno/100)*Cint(strMaxBarWidth))
  GetPollbarWidth = fPollBarWidth
  'GetPollBarWidth = fPollPercent
End Function
Sub displayErr(fString)
  response.write("<center>Your information was not submitted due to the following:</center>" & _
  "<ul>" & fString & "</ul>" & _
  "<center><a href=""javascript: history.go(-1)"">Go back to enter data</a></center>")
  closePoll
  response.end
End Sub
'#### Function to check validity of a string
'####
Function chkValidStr(fString)
  Dim invalidArr
  invalidArr = "'," & Chr(34) & ",~,`,+,-,=,\,/"
  invalidArr = Split(invalidArr, ",")
  
    chkValidStr = True
  For x=0 to Ubound(invalidArr)
    if Instr(fString, invalidArr(i)) then
      chkValidStr = False
    end if
  Next
End Function

Function pollAdmin()
'tmpUser = 
'tmpPass = Session("password")

'  if request.cookies(kpoll & "admin")("user") = pollAdminUser and _
'  request.cookies(kpoll & "admin")("pass") = sha256(pollAdminPass) then
  if Session("email") = pollAdminUser and Session("password") = pollAdminPass then
    pollAdmin = True
  else
    pollAdmin = False
  end if
End Function


Sub adminLogout()
  response.cookies(kpoll & "admin")("user") = ""
  response.cookies(kpoll & "admin")("pass") = ""
  response.write("<center>You have logged out</center>")
End Sub
'##### Function added for multiple polls on a page
Function kPollDisplay(fString)
  if strDisplayMode = "js" then
    kPollDisplay = response.write("document.write('" & fString & "');" & vbNewline)
  else
    kPollDisplay = response.write(fString)
  end if
End Function
'##### Function to highlight html code for easier viewing
Function kpHighlight(fString)
  kpHighlight = "<textarea cols=""50"" rows=""5"">" & fString & "</textarea>"
End Function

Function cValSelect(fFirst, fSecond)
  if fFirst = fSecond then
    cValSelect = " selected=""selected"">"
  else
    cValSelect = ">"
  end if
End Function
'###########################################################
'##### Old unused functions/subs kept strictly for reference
'###########################################################
'###########################################################
'##### No valid code beyond this point 
'###########################################################

Function chkSetupOld()
strsql = "IF NOT EXISTS (SELECT * FROM INFORMATION_SCHEMA.tables WHERE table_name='KPOLL_CONFIG') "
strsql1 = "CREATE TABLE KPOLL_CONFIG (" & _
		  "CONFIG_ID INT IDENTITY NOT NULL, " & _
		  "CONFIG_VARIABLE VARCHAR(100) NOT NULL, " & _
		  "CONFIG_VALUE VARCHAR(100) NOT NULL" & _
		  ")"
  'response.write("<b>SQLDEBUG:</b> " & strsql & strsql1 & "<br><br>")
  pConn.execute(strsql & strsql1)
  response.write("<ul><li>Table KPOLL_CONFIG setup</li>")
  

strsql = "IF NOT EXISTS (SELECT * FROM INFORMATION_SCHEMA.tables WHERE table_name='KPOLL') "
strsql1 = "CREATE TABLE KPOLL (" & _
          "POLL_ID INT IDENTITY NOT NULL, " & _
          "POLL_TITLE VARCHAR(100) NOT NULL, " & _
          "POLL_ACTIVE INT NOT NULL DEFAULT 0" & _
          ")"
  'response.write("<b>SQLDEBUG:</b> " & strsql & strsql1 & "<br><br>")       
  pConn.execute(strsql & strsql1)
  response.write("<li>Table KPOLL setup</li>")
strsql = "IF NOT EXISTS (SELECT * FROM INFORMATION_SCHEMA.tables WHERE table_name='KPOLL_OPTIONS') "
strsql1 = "CREATE TABLE KPOLL_OPTIONS ("
strsql1 = strsql1 & "OPTION_ID INT IDENTITY NOT NULL, " & _
                    "POLL_ID INT NOT NULL, " & _
                    "OPTION_VALUE VARCHAR(100) NOT NULL, " & _
                    "OPTION_VOTES INT NOT NULL DEFAULT 0" & _
                    ")" 
  'response.write("<b>SQLDEBUG:</b> " & strsql & strsql1 & "<br><br>") 
  pConn.execute(strsql & strsql1)
  response.write("<li>Table KPOLL_OPTIONS setup</li>")
  
  strsql = "SELECT * FROM KPOLL_CONFIG"
  set temprs = pConn.execute(strsql)
    if temprs.eof then
      insertConfigData
    end if
  set temprs = nothing
  response.write("<li>Table KPOLL_CONFIG populated</li>")
  response.write("<li>Setup Complete!</li></ul>")
  Application(kpoll & "setup") = "true"
End Function
%>